
data {
   
   int<lower=0> n;
   vector[n] y;
   vector[n] y_dense;
   real<lower=0> mu_m;
   real<lower=0> mu_s;
   real<lower=0> sig_p1;
   real<lower=0> sig_p2;
   real<lower=0> w;
}

parameters 
{
   
real<lower=0> mu;
real<lower=0> sigma;

}

model {

mu ~ gamma(mu_m,mu_s);
sigma ~ gamma(sig_p1,sig_p2);
for(i in 1:n){
  y[i]~gamma(mu,sigma);
}
}

generated quantities {
 real y_predict;
 y_predict = gamma_rng(mu,sigma);

}
